package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Content;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Speaker;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;


public class Speaker_File_Impl implements Content, Speaker {
    private final int contentId;
    private final int speechId;
    private final int speakerId;
    private final String speakerName;
    private final String fraction;

    @Override
    public int getContentId() {
        return contentId;
    }

    @Override
    public int getSpeechId() {
        return speechId;
    }

    @Override
    public int getSpeakerId() {
        return speakerId;
    }

    @Override
    public String getSpeakerName() {
        return speakerName;
    }

    @Override
    public String getFraction() {
        return fraction;
    }

    public Speaker_File_Impl(int contentId, int speechId, int speakerId, String speakerName, String fraction) {
        this.contentId = contentId;
        this.speechId = speechId;
        this.speakerId = speakerId;
        this.speakerName = speakerName;
        this.fraction = fraction;
    }

    @Override
    public MongoDBEntryType getType() {
        return MongoDBEntryType.SPEECH_SPEAKER;
    }
}
